Groovy Documentation

## grails.test
[Groovy] Class MvcUnitTestCase

    java.lang.Object
      GroovyTestCase
          grails.test.GrailsUnitTestCase
              grails.test.MvcUnitTestCase

    class MvcUnitTestCase
    extends GrailsUnitTestCase

Common test case support class for controllers, tag libraries, and anything else that has access to the standard web properties such as "request", "response", and "session".

Authors:
  Graeme Rocher
  Peter Ledbrook

Field Summary
`protected java.util.Map` | `forwardArgs`
`protected java.util.Map` | `mockFlash`
`protected java.util.Map` | `mockParams`
`protected GrailsMockHttpServletRequest` | `mockRequest`
`protected GrailsMockHttpServletResponse` | `mockResponse`
`protected MockHttpSession` | `mockSession`
`protected java.util.Map` | `redirectArgs`
`protected java.util.Map` | `renderArgs`
`protected GrailsWebRequest` | `webRequest`

Constructor Summary
`MvcUnitTestCase(java.lang.String suffix)` Creates a new test case for the class whose name and package matches this test's class up to and including the given suffix.
`MvcUnitTestCase(java.lang.Class clazz)` Creates a new test case for the given class.

Method Summary
`java.lang.Class` | `getTestClass()`
`protected java.lang.Object` | `newInstance()`
`protected void` | `reset()`
`protected void` | `tearDown()`

Methods inherited from class GrailsUnitTestCase
addConverters, enableCascadingValidation, loadCodec, mockConfig, mockController, mockDomain, mockFor, mockForConstraintsTests, mockLogging, mockTagLib, registerMetaClass, setUp, tearDown

Field Detail

### forwardArgs

    protected java.util.Map forwardArgs

### mockFlash

    protected java.util.Map mockFlash

### mockParams

    protected java.util.Map mockParams

### mockRequest

    protected GrailsMockHttpServletRequest mockRequest

### mockResponse

    protected GrailsMockHttpServletResponse mockResponse

### mockSession

    protected MockHttpSession mockSession

### redirectArgs

    protected java.util.Map redirectArgs

### renderArgs

    protected java.util.Map renderArgs

### webRequest

    protected GrailsWebRequest webRequest

Constructor Detail

### MvcUnitTestCase

    MvcUnitTestCase(java.lang.String suffix)

  Creates a new test case for the class whose name and package matches this test's class up to and including the given suffix. In other words, if this test is `org.example.MyControllerTests` then the class under test is `org.example.MyController`. This example assumes that the suffix is "Controller".

### MvcUnitTestCase

    MvcUnitTestCase(java.lang.Class clazz)

  Creates a new test case for the given class.

Method Detail

### getTestClass

    java.lang.Class getTestClass()

### newInstance

    protected java.lang.Object newInstance()

### reset

    protected void reset()

### tearDown

    protected void tearDown()

Groovy Documentation